import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Gem fload along in the bloodstream. They are bad. Best to destroy
 * them if you can.
 * 
 * @author Matthew Finn
 * @version 3/9/18
 */
public class Gem extends Actor
{
    private int speed;

    /**
     * Constructor. 
     */
    public Gem()
    {
        speed=Greenfoot.getRandomNumber(3)+1; 
    }

    /**
     * Float along the bloodstream, slowly rotating.
     */
    public void act() 
    {
        setLocation(getX()-speed, getY());
        turn(1);

        if (getX() == 0) 
        {
            Space space = (Space)getWorld();
            space.addScore(-15);
            getWorld().removeObject(this);// What is "this" exactly refering to?
        }
    }
}
