import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
//import statement and comment omitted
/**
 * This is a white blood cell. This kind of cell has the job to catch 
 * bacteria and remove them from the blood.
 * 
 * @author Matthew Finn
 * @version 3/9/18
 */
public class Spaceship extends Actor
{

    /**
     * Act: move up and down when cursor keys are pressed.
     */
    public void act() 
    {
        checkKeyPress();
        checkcollision();

    }

    /**
     * Check whether a keyboard key has been pressed and react if it has.
     */
    private void checkKeyPress()
    {
        if (Greenfoot.isKeyDown("up")) 
        {
            setLocation(getX(), getY()-4);
        }

        if (Greenfoot.isKeyDown("down")) 
        {
            setLocation(getX(), getY()+4);
        }
        if (Greenfoot.isKeyDown("left")) 
        {
            setLocation(getX()-4, getY());
        }

        if (Greenfoot.isKeyDown("right")) 
        {
            setLocation(getX()+4, getY());
        }

    }

    private int score;

    //other methods omitted

    /**
     * Check wether we are touching a bacterium or virus.  Remove 
     * bacteria.  Game over if we hit a virus.
     */
    private void checkcollision()
    {
        if (isTouching(Gem.class))
        {

            Space space = (Space)getWorld();
            space.addScore(20);
            //getWorld().showText("Score:" + score, 80, 25);
            Greenfoot.playSound("Electronic.wav");
            removeTouching(Gem.class);

        }
        if (isTouching(Asteroid.class))
        {
            removeTouching(Asteroid.class);
            Greenfoot.playSound("Explosion.wav");
        }
        
        //  Greenfoot.stop();
        // if (isTouching(Virus.class))
        //{
          //Greenfoot.playSound("Spacecraft.wav");
        //  Greenfoot.stop();
        // }

    }

}
