import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Asteroid eats WBC
 * 
 * @author Matthew Finn
 * @version 3/9/18
 */
public class Asteroid extends Actor
{
    /**
     * Act - do whatever the Asteroid wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        setLocation(getX()-2, getY());
        turn(-1);
        if (isTouching(Spaceship.class))
        {
            Space space = (Space)getWorld();
            space.addScore(-100);
            
        }

        if (getX() == 0) 
        {
            getWorld().removeObject(this);
            Greenfoot.playSound("Explosion.wav");
        }
    }
}
